plugins {
	id("common-java");
}

description = "The runtime of J2S, used to execute J2S bytecode";

repositories {
	mavenCentral();
}

dependencies {
	annotationProcessor("com.github.bsideup.jabel:jabel-javac-plugin:0.4.2");
	compileOnly("com.github.bsideup.jabel:jabel-javac-plugin:0.4.2");
	testImplementation("org.junit.jupiter:junit-jupiter:5.9.2");
	testRuntimeOnly("org.junit.platform:junit-platform-launcher");
	implementation(project(":common"));
}

tasks.processResources {
	filesMatching("metadata.json", {
		expand(
			"version" to properties["project_version"],
			"name" to properties["project_name"],
		);
	});
}

tasks.test {
	useJUnitPlatform();
}
